### Method

# Gio ListModel get_item_type

since: 2.44

#### Declaration [src]

    GType
    g_list_model_get_item_type (
      GListModel* list
    )

#### Description [src]

Gets the type of the items in `list`.

All items returned from `g_list_model_get_item()` are of the type returned by this function, or a subtype, or if the type is an interface, they are an implementation of that interface.

The item type of a `GListModel` can not change during the life of the model.

Available since: 2.44

#### Return value

Type: `GType`

The `GType` of the items contained in `list`.